GNU bug report logs - #27433
add-face-text-property with APPEND=t destructively modifies the original property list

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Sebastien Chapuis <sebastien@HIDDEN>; merged with #20153; dated Tue, 20 Jun 2017 21:49:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 20153 27433. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'add-face-text-property with APPEND=t destructively modifies the original property list' from '25.2; add-face-text-property with APPEND to t mess up with initialized list' Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 27433 <at> debbugs.gnu.org:


Received: (at 27433) by debbugs.gnu.org; 24 Jun 2017 15:49:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 24 11:49:28 2017
Received: from localhost ([127.0.0.1]:35837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dOnJQ-0001bt-Jb
	for submit <at> debbugs.gnu.org; Sat, 24 Jun 2017 11:49:28 -0400
Received: from mail-io0-f171.google.com ([209.85.223.171]:33596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1dOnJO-0001ba-H8; Sat, 24 Jun 2017 11:49:27 -0400
Received: by mail-io0-f171.google.com with SMTP id h64so16115779iod.0;
 Sat, 24 Jun 2017 08:49:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=wkeKDNgZZYC80keP2cEMzTvLMlMYmY6sup5YUAIJJgU=;
 b=PEHgC6y6/YSA6Qefjmduj3amy2l1BUMQxTa5GO7scMYqxChu7ewA7LrKtth66+Iy4B
 UMJ0+qNqOcI0RvLx6MBWxa88m1aomNpt1Rn9WHmt+8OIKjMttEV0nC3v6vImyu3CvmQa
 K61+L4/DCs0JlAoOddCwYYzvqnZQNeiEpaoTo5pn9nRlIaLXFwrwFuAdgQGQ2TCklKDL
 A71sTJpYUK87Yd0BzIgHSeRYPfxgRlWkfeqJsStEJzqrKUSjcOQxZY583xcCM98K2MjR
 +GVD6WKZSafozY62W2UGzh83cjKIUc+/F4dyYT2IHhNiBy7N84HsWBszD7jVtJ2+Z9Yf
 LfrQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=wkeKDNgZZYC80keP2cEMzTvLMlMYmY6sup5YUAIJJgU=;
 b=lwgmdcpYNMiBGSYX3EHBApimtJwrqYszNapeYFHUlRDrU+UVicFc0PjbwAmIHnjITf
 eXn4XGmcAq4wIy4eYZQh2Zkl+k+VyWxqtchWB4xT8iDbPzfYIErH6IyV+Zu1ppgcWCKC
 R2ZauFWApKNr1P/FJ+YxQirUWnyWmnJHB4AtMJ0P7TWQQzjdrmBNPWV5UHyIpzkjyT8s
 6tgKuZtw79YFCJDxQU9qLb0X3sR7iLiP2ARc0mwNJSzZMEbZlpV9Q6063SemxH7YGyHE
 7IPPKd2hUB19qAJ/Q0uXZtE+w2XNfglsIIEeygG9glX6DfWbEXD5yyHp2sVxlRMLsqRo
 /4pg==
X-Gm-Message-State: AKS2vOz50aSH//ZXaSWctC3hEZzQJWFRDXv9K9qsBs0me8MJDamO+lLS
 MZyKoL2U4BjuclX2
X-Received: by 10.107.16.81 with SMTP id y78mr9462738ioi.105.1498319360595;
 Sat, 24 Jun 2017 08:49:20 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id e12sm4980122itd.0.2017.06.24.08.49.19
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 24 Jun 2017 08:49:19 -0700 (PDT)
From: npostavs@HIDDEN
To: Sebastien Chapuis <sebastien@HIDDEN>
Subject: Re: bug#27433: 25.2;
 add-face-text-property with APPEND to t mess up with initialized list
References: <87h8zagwxy.fsf@HIDDEN>
Date: Sat, 24 Jun 2017 11:50:56 -0400
In-Reply-To: <87h8zagwxy.fsf@HIDDEN> (Sebastien Chapuis's message of "Wed,
 21 Jun 2017 05:40:09 +0800")
Message-ID: <87wp81peov.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 27433
Cc: 27433 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

retitle 27433 add-face-text-property with APPEND=t destructively modifies the original property list
severity 27433 minor
quit

Sebastien Chapuis <sebastien@HIDDEN> writes:

> Hello, I have found a bug reproducible with emacs -Q (tested with
> emacs 25.2.2 and 25.2.1)
>
> I made a small use case that you can find here:
> - https://gist.github.com/sebastiencs/3b1f33a028d2b8d1ee41c44f5338f8e7
> or here:
> - http://paste.lisp.org/display/349159
>
> I provided explainations in the code.
> When I use edebug, the variable 'list-attributes' in the function
> 'my-icons-in-terminal' is directly set to (:family "icons-in-terminal
> (:background "red") (:background "red") ...), even if it is initialized
> with '(:family "icons-in-terminal).

> ;; If I initialize the variable list-attributes to (list :family "...") instead of '(:family) in my-icons-in-terminal,
> ;;   it doesn't appear.

I think we can fix it by using append instead of nonc, or perhaps we
should just document the side effect?

---   i/src/textprop.c
+++   w/src/textprop.c
@@ -421,7 +421,7 @@ add_properties (Lisp_Object plist, INTERVAL i, Lisp_Object object,
 		if (set_type == TEXT_PROPERTY_PREPEND)
 		  Fsetcar (this_cdr, Fcons (val1, Fcar (this_cdr)));
 		else
-		  nconc2 (Fcar (this_cdr), list1 (val1));
+                  Fsetcar (this_cdr, CALLN (Fappend, Fcar (this_cdr), list1 (val1)));
 	      else {
 		/* The previous value is a single value, so make it
 		   into a list. */




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27433; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jun 2017 21:48:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 20 17:48:34 2017
Received: from localhost ([127.0.0.1]:58567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dNR0k-0003gr-54
	for submit <at> debbugs.gnu.org; Tue, 20 Jun 2017 17:48:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sebastien@HIDDEN>) id 1dNQsw-0003UX-JX
 for submit <at> debbugs.gnu.org; Tue, 20 Jun 2017 17:40:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sebastien@HIDDEN>) id 1dNQsp-00049q-I5
 for submit <at> debbugs.gnu.org; Tue, 20 Jun 2017 17:40:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45870)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sebastien@HIDDEN>) id 1dNQsp-00049j-Ex
 for submit <at> debbugs.gnu.org; Tue, 20 Jun 2017 17:40:23 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39445)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sebastien@HIDDEN>) id 1dNQsn-0002hv-DQ
 for bug-gnu-emacs@HIDDEN; Tue, 20 Jun 2017 17:40:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sebastien@HIDDEN>) id 1dNQsj-00047s-Cd
 for bug-gnu-emacs@HIDDEN; Tue, 20 Jun 2017 17:40:21 -0400
Received: from mail-pg0-x22e.google.com ([2607:f8b0:400e:c05::22e]:34725)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <sebastien@HIDDEN>) id 1dNQsj-000478-2f
 for bug-gnu-emacs@HIDDEN; Tue, 20 Jun 2017 17:40:17 -0400
Received: by mail-pg0-x22e.google.com with SMTP id e187so15818225pgc.1
 for <bug-gnu-emacs@HIDDEN>; Tue, 20 Jun 2017 14:40:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=chapu-is.20150623.gappssmtp.com; s=20150623;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=InTvlrPj46JeTTrze9VItWPYpfMIcAVtNpGop2BWGXk=;
 b=Nutwx055BgsV+y8GBsZPtBZ573WZX4+As+4InXk/iuKnhQ+wU7wOvCU9dkfJhT9ED3
 z7iKS0/aJr/KJbik2BBrV5AN7g5LySfdNYgz0E63H4W7npS34Ie9qkUhn8kOXYV94ktC
 6AgZuFEni92waAcWt90rL+1LlLFN4ccXrxB1hr4eA1yxmbmMLb5tdb7jKckF15aZ/u4E
 mQeAJb1sBXDFyUKWp0p3auFGbxBCouwVEpGGn+AbDCe156QDgC1CQ+/SbjgJCVjcTDha
 AkjsXLDYQiCcqchqce2C37QRyKzTRrxyT/IK4ruxmnqshOF+TcSh/eUjZXj3j3EwEvPi
 U26g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=InTvlrPj46JeTTrze9VItWPYpfMIcAVtNpGop2BWGXk=;
 b=muu/siPInmP/h65CNrzvVou+u5TrdP27/tLK24DdHll21NVAOPZhSx8qmL1rRbn/fW
 1R5rydZoQxFbh6mLCf71vIUycQaqGrz6CvcnR8xDcVezdY0S0HC4QFFJQSuRv87b6VnC
 3kSCFU7VJ0fxNqL0Ib2yY5japzVvE+2B0ydA5aQGkliDJqiZqRMEvEX2BCJiSO0hSdIK
 9rXBoxaWchzP1d5kDC5x01PBcSs8K+jnulbvjw37/Qnn7CBTrYPlvHwJQ1LVs8oCPTtx
 Uzyz+Zius60PKddS9utQClfCoVzFf0egnj/cwO8gqQykDxXKHL2xwlseboqBi/dnqhWp
 OJ5Q==
X-Gm-Message-State: AKS2vOwSx6QCMLExfGet3CexOzdLk+AZi5x9OJxqF1puvwiMTgN8KjnJ
 H21Dhc182dfDzXi1Cun7yw==
X-Received: by 10.84.128.33 with SMTP id 30mr38219411pla.38.1497994814020;
 Tue, 20 Jun 2017 14:40:14 -0700 (PDT)
Received: from XPS13 ([61.6.146.181])
 by smtp.gmail.com with ESMTPSA id f10sm13117878pfd.69.2017.06.20.14.40.11
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 20 Jun 2017 14:40:12 -0700 (PDT)
User-agent: mu4e 0.9.19; emacs 25.2.2
From: Sebastien Chapuis <sebastien@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.2;
 add-face-text-property with APPEND to t mess up with initialized list
Date: Wed, 21 Jun 2017 05:40:09 +0800
Message-ID: <87h8zagwxy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 20 Jun 2017 17:48:32 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Hello, I have found a bug reproducible with emacs -Q (tested with
emacs 25.2.2 and 25.2.1)

I made a small use case that you can find here:
- https://gist.github.com/sebastiencs/3b1f33a028d2b8d1ee41c44f5338f8e7
or here:
- http://paste.lisp.org/display/349159

I provided explainations in the code.
When I use edebug, the variable 'list-attributes' in the function
'my-icons-in-terminal' is directly set to (:family "icons-in-terminal
(:background "red") (:background "red") ...), even if it is initialized
with '(:family "icons-in-terminal).

Thank you,
Sebastien Chapuis.



In GNU Emacs 25.2.2 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.31)
 of 2017-04-27 built on XPS13
Repository revision: 3a34412caae002accd0fc7a7fc0b718c2f34159b
Windowing system distributor 'Fedora Project', version 11.0.11903000
System Description:	Fedora release 25 (Twenty Five)

Configured using:
 'configure --prefix=/opt/emacs --with-modules --with-x-toolkit=gtk2'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK2 X11 MODULES

Important settings:
  value of $LANG: fr_FR.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  semantic-minor-modes-format: ((:eval (if (or semantic-highlight-edits-mode semantic-show-unmatched-syntax-mode)  S)))
  yas-minor-mode: t
  display-time-mode: t
  global-anzu-mode: t
  anzu-mode: t
  global-hl-line-mode: t
  display-battery-mode: t
  global-git-gutter-mode: t
  which-key-mode: t
  projectile-mode: t
  global-semanticdb-minor-mode: t
  global-semantic-idle-scheduler-mode: t
  semantic-idle-scheduler-mode: t
  semantic-mode: t
  company-quickhelp-mode: t
  company-quickhelp-local-mode: t
  global-company-mode: t
  company-mode: t
  helm-mode: t
  shell-dirtrack-mode: t
  aggressive-indent-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  show-smartparens-global-mode: t
  show-smartparens-mode: t
  smartparens-mode: t
  async-bytecomp-package-mode: t
  save-place-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
[mu4e] Switched context to chapuis
let*: Wrong type argument: stringp, nilInvalid face attribute (:background "red") (:background "red")
Invalid face attribute (:background "red") (:background "red") [836 times]
Updating buffer list...done
Commands: m, u, t, RET, g, k, S, D, Q; q to quit; h for help
Invalid face attribute (:background "red") (:background "red") [7558 times]
Unable to load color "" [2 times]
Unable to load color "color-235"
Unable to load color "color-26"
Invalid face attribute (:background "red") (:background "red") [5061 times]

Load-path shadows:
~/.local/share/icons-in-terminal/icons-in-terminal hides /home/sebastien/.emacs.d/lisp/icons-in-terminal
~/github/my-company-quickhelp/company-quickhelp hides /home/sebastien/.emacs.d/elpa/company-quickhelp-20170429.1052/company-quickhelp
~/github/my-pos-tip/pos-tip hides /home/sebastien/.emacs.d/elpa/pos-tip-20150318.813/pos-tip
/home/sebastien/.emacs.d/lisp/smooth-scrolling hides /home/sebastien/.emacs.d/elpa/smooth-scrolling-20161002.1249/smooth-scrolling
/home/sebastien/.emacs.d/lisp/bind-key hides /home/sebastien/.emacs.d/elpa/bind-key-20161218.1520/bind-key

Features:
(shadow semantic/tag-write face-remap emacsbug winner helm-command
helm-elisp helm-eval edebug semantic/analyze/complete
semantic/db-typecache semantic/analyze semantic/sort semantic/scope
semantic/analyze/fcn semantic/edit windmove semantic/decorate/mode
semantic/decorate pulse semantic/db-find semantic/db-ref
semantic/db-file data-debug cedet-files company-elisp yasnippet init-gui
ibuf-macs company-oddmuse company-files company-capf company-cmake
company-xcode company-clang company-semantic company-eclim company-nxml
company-bbdb company-yasnippet company-keywords company-etags etags xref
project company-gtags company-template company-dabbrev-code
company-dabbrev cus-start cus-load my-theme google-c-style time
hippie-exp helm-swoop restart-emacs server anzu smtpmail-async mu4e-conf
mu4e desktop frameset mu4e-speedbar mu4e-main mu4e-view cal-menu
calendar cal-loaddefs epa mu4e-headers mu4e-compose mu4e-context
mu4e-draft mu4e-actions rfc2368 mu4e-mark mu4e-message flow-fill
html2text mu4e-proc mu4e-proc-mu mu4e-utils doc-view jka-compr
image-mode mu4e-lists mu4e-vars message rfc822 mml mml-sec epg mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
hl-line mu4e-meta smtpmail-multi smtpmail sendmail rfc2047 rfc2045
ietf-drums mail-utils cleanline which-func battery sidebar
sidebar-buffers sidebar-mu4e sidebar-face sidebar-select derived
sidebar-utils sidebar-filemapping icons-in-terminal ov ace-window avy
git-gutter helm-tramp dash-functional imenu-list clojure-mode-expansions
smartparens-clojure clojure-mode align imenu help-fns+ wid-edit
toggle-quotes alert log4e notifications dbus gntp git-messenger popup
gitconfig-mode conf-mode indent-guide iedit iedit-lib which-key
move-text expand-region text-mode-expansions web-mode-expansions
er-basic-expansions expand-region-core expand-region-custom
ssh-config-mode clang-rename esup esup-child benchmark
clang-include-fixer let-alist smartparens-html web-mode disp-table
company-web-html company-web company-css web-completion-data
projectile-speedbar sr-speedbar projectile grep ibuf-ext
multiple-cursors mc-hide-unmatched-lines-mode mc-separate-operations
rectangular-region-mode mc-mark-pop mc-mark-more mc-cycle-cursors
mc-edit-lines multiple-cursors-core rect ibuffer semantic/db-mode
semantic/idle srefactor-lisp semantic/bovine/el semantic/format
semantic/tag-ls semantic/find semantic/ctxt semantic/db-el eieio-opt
speedbar sb-image ezimage dframe semantic/db eieio-base semantic/bovine
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet company-quickhelp company helpful
elisp-refs loop f s list-utils modern-cpp-font-lock crux helm-ag
helm-mode helm-files image-dired tramp tramp-compat tramp-loaddefs
trampver ucs-normalize shell pcomplete format-spec dired-x dired-aux
ffap helm-buffers helm-tags helm-bookmark helm-adaptive helm-info
bookmark pp helm-locate helm-grep helm-regexp helm-external helm-net
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util url-parse auth-source gnus-util mm-util
help-fns mail-prsvr password-cache url-vars mailcap helm-utils compile
comint ansi-color helm-help helm-types helm helm-source eieio-compat
eieio eieio-core helm-multi-match helm-lib dired aggressive-indent
flycheck-irony flycheck json map irony-diagnostics irony find-func
irony-iotask neotree time-date smartparens-config smartparens thingatpt
dash fish-mode rx paradox paradox-menu paradox-commit-list hydra ring lv
paradox-execute paradox-github paradox-core subr-x spinner android-mode
xml ido helm-config helm-easymenu edmacro kmacro async-bytecomp advice
async all-the-icons all-the-icons-faces data-material data-weathericons
data-octicons data-fileicons data-faicons data-alltheicons memoize
font-lock+ autoinsert pos-tip saveplace use-package diminish bind-key
easy-mmode finder-inf cl-seq cl-macs cl info package epg-config seq
byte-opt gv bytecomp byte-compile cl-extra help-mode easymenu cconv
cl-loaddefs pcase cl-lib mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 651106 389102)
 (symbols 48 56376 11)
 (miscs 40 949 1289)
 (strings 32 151184 319489)
 (string-bytes 1 4475615)
 (vectors 16 88656)
 (vector-slots 8 2027993 231654)
 (floats 8 1469 1429)
 (intervals 56 3355 1052)
 (buffers 976 32))

--
Sebastien Chapuis




Acknowledgement sent to Sebastien Chapuis <sebastien@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27433; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 Jul 2017 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.